      Program Test
C
C     Program for computing the local PS direction Alfa (s. Equation (16))	
C
      IMPLICIT REAL*8 (A-H,O-Z)
      PI = 3.141592654	
C
      Open (Unit=11,File='Figure7-Static.rpt', Status='old')  	! Input (was produced in ABAQUS/VIEW by Report -> Field Output)
      Open (Unit=20,File='Figure7-Static.out', Status='Unknown')! Output
C
   10 Read  (11,*,END=20) IEL, Sxx, Syy, Sxy			! Element Number, Sxx, Syy, Sxy (Stresses)
      Root  = 0.25*(Sxx-Syy)**2 + Sxy**2			! Mohrs formula (Root part)
C     Smax  = 0.5* (Sxx+Syy) + SQRT(Root)			! Maximal Principal Stress (not needed)
      Smin  = 0.5* (Sxx+Syy) - SQRT(Root)			! Minimal Principal Stress
C
      SxSm = Sxx - Smin						! Denominator of Equation (16), see paper					!
      If (ABS(SxSm) .LT. 1.D-10) SxSm = SIGN(1.D-10, SxSm)	! SxSm -> Test on "zero" 
      Alfa = 180.*ATAN(Sxy/SxSm)/PI				! Equation (16)
C
      Write (20,3000) IEL, Alfa					! Output on Figure7-Statik.out
      Go To 10
   20 Continue
 3000 Format (I7,1H,,F16.4)
      END
